GH(1)

NAME

gh - GitHub CLI

SYNOPSIS

gh <command> <subcommand> [flags]

DESCRIPTION

Work seamlessly with GitHub from the command line.

CORE COMMANDS

gh-auth(1)
    Authenticate gh and git with GitHub

gh-browse(1)
    Open the repository in the browser

gh-codespace(1)
    Connect to and manage your codespaces

gh-gist(1)
    Manage gists

gh-issue(1)
    Manage issues

gh-pr(1)
    Manage pull requests

gh-release(1)
    Manage releases

gh-repo(1)
    Manage repositories

ACTIONS COMMANDS

gh-run(1)
    View details about workflow runs

gh-workflow(1)
    View details about GitHub Actions workflows

ADDITIONAL COMMANDS

gh-alias(1)
    Create command shortcuts

gh-api(1)
    Make an authenticated GitHub API request

gh-completion(1)
    Generate shell completion scripts

gh-config(1)
    Manage configuration for gh

gh-extension(1)
    Manage gh extensions

gh-gpg-key(1)
    Manage GPG keys

gh-secret(1)
    Manage GitHub secrets

gh-ssh-key(1)
    Manage SSH keys

OPTIONS

--version
    Show gh version

EXAMPLE

    $ gh issue create
    $ gh repo clone cli/cli
    $ gh pr checkout 321